Qt Cryptographic Architecture: QCA::MACContext Class Reference

# QCA::MACContext Class Reference
[QCA provider API]

Message authentication code provider. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::MACContext:

Collaboration diagram for QCA::MACContext:

[legend]

List of all members.

## Public Member Functions
virtual void | final (MemoryRegion *out)=0
virtual KeyLength | keyLength () const =0
| MACContext (Provider *p, const QString &type)
virtual void | setup (const SymmetricKey &key)=0
virtual void | update (const MemoryRegion &in)=0
## Protected Member Functions
KeyLength | anyKeyLength () const

## Detailed Description

Message authentication code provider.

Note:
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want MessageAuthenticationCode instead.

Examples:

  aes-cmac.cpp.

## Constructor & Destructor Documentation

QCA::MACContext::MACContext | ( | Provider * | p,
|  | const QString & | type |
| ) |  |  | `[inline]`

Standard constructor.

Parameters:

  | p | the provider associated with this context
  | type | the name of the type of MAC algorithm provided by this context

## Member Function Documentation

KeyLength QCA::MACContext::anyKeyLength | ( |  | ) | const`[inline, protected]`

Returns a KeyLength that supports any length.

virtual void QCA::MACContext::final | ( | MemoryRegion * | out | ) | `[pure virtual]`

Compute the result after processing all data.

Parameters:

  | out | pointer to an array that should store the result

virtual KeyLength QCA::MACContext::keyLength | ( |  | ) | const`[pure virtual]`

Returns the KeyLength for this MAC algorithm.

virtual void QCA::MACContext::setup | ( | const SymmetricKey & | key | ) | `[pure virtual]`

Set up the object for hashing.

Parameters:

  | key | the key to use with the MAC.

virtual void QCA::MACContext::update | ( | const MemoryRegion & | in | ) | `[pure virtual]`

Process a chunk of data.

Parameters:

  | in | the input data to process

The documentation for this class was generated from the following file:

- qcaprovider.h